package mensch;

public class Braut extends CMensch
{

  private boolean sollHumorvoll;
  private boolean sollKinderlieb;
  private boolean sollGutaussehend;
  private Vater vater;

  public Braut(boolean sollHumorvoll, boolean sollKinderlieb, boolean sollGutaussehend, Vater vater) {
    this.sollHumorvoll=sollHumorvoll;
    this.sollKinderlieb=sollKinderlieb;
    this.sollGutaussehend=sollGutaussehend;
    this.vater=vater;
  }

  private boolean isBrauchbar(Brautigam verehrer)
  {
    if (sollHumorvoll==verehrer.isHumorvoll() &&
       sollKinderlieb==verehrer.isKinderlieb() &&
       sollGutaussehend==verehrer.isGutaussehend())
     return true;
   else
     return false;

  }

  public boolean willstDuMichHeiraten(Brautigam verehrer)
  {
    if (vater.darfIchHeiraten(verehrer.getGehalt()))
    {
        if (isBrauchbar(verehrer))
        {
          return true;
        }
        else
        {
          return false;
        }
    }
    else
    {
      return false;
    }
  }
}